> ## Documentation Index
> Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /v1/sites/{siteId}/circuits

> Get Circuits for the site

## OpenAPI

````json GET /v1/sites/{siteId}/circuits
{
  "openapi": "3.0.0",
  "info": {
    "title": "Graphiant APIs",
    "version": "1.0.0",
    "description": "Graphiant API documentation."
  },
  "servers": [
    {
      "url": "https://api.graphiant.com"
    }
  ],
  "security": [
    {
      "jwtAuth": []
    }
  ],
  "tags": [],
  "paths": {
    "/v1/sites/{siteId}/circuits": {
      "get": {
        "security": [
          {
            "jwtAuth": []
          }
        ],
        "parameters": [
          {
            "in": "header",
            "name": "Authorization",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Bearer token. Format: Bearer <your_token_here>"
          },
          {
            "name": "siteId",
            "in": "path",
            "required": true,
            "description": "",
            "schema": {
              "type": "integer",
              "format": "int64",
              "example": 1234567891011
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/v1SitesSiteIdCircuitsGetResponse"
                }
              }
            }
          }
        },
        "description": "Get Circuits for the site"
      }
    }
  },
  "components": {
    "schemas": {
      "v1SitesSiteIdCircuitsGetResponse": {
        "type": "object",
        "properties": {
          "data": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/v1SitesSiteIdCircuitsGetResponseData"
            }
          }
        },
        "additionalProperties": false
      },
      "v1SitesSiteIdCircuitsGetResponseData": {
        "type": "object",
        "properties": {
          "circuits": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/manaV2Circuit"
            }
          },
          "deviceId": {
            "type": "integer",
            "format": "int64",
            "example": 12345678910,
            "minimum": 0
          }
        },
        "additionalProperties": false
      },
      "manaV2Circuit": {
        "type": "object",
        "properties": {
          "bgpAggregations": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/manaV2BgpAggregation"
            }
          },
          "bgpMultipath": {
            "$ref": "#/components/schemas/manaV2BgpMultipath"
          },
          "bgpNeighbors": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/manaV2BgpNeighbor"
            }
          },
          "bgpRedistributions": {
            "$ref": "#/components/schemas/manaV2BgpRedistribute"
          },
          "carrier": {
            "type": "string",
            "example": "example string"
          },
          "circuitType": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "connectionType": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "coreLogicalInterfacesV2": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/manaV2CircuitInterface"
            }
          },
          "description": {
            "type": "string",
            "example": "example string"
          },
          "diaEnabled": {
            "type": "boolean",
            "example": true
          },
          "diaSnmpIndex": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "discoveredPublicIp": {
            "type": "string",
            "example": "example string"
          },
          "dropMechanism": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "id": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "interfaceName": {
            "type": "string",
            "example": "example string"
          },
          "label": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "lastResort": {
            "type": "boolean",
            "example": true
          },
          "linkDownSpeedMbps": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "linkUpSpeedMbps": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "loopback": {
            "type": "boolean",
            "example": true
          },
          "name": {
            "type": "string",
            "example": "example string"
          },
          "patAddresses": {
            "type": "array",
            "items": {
              "type": "string",
              "example": "example string"
            }
          },
          "privateIp": {
            "type": "string",
            "example": "example string"
          },
          "profile": {
            "$ref": "#/components/schemas/manaV2QoSProfile"
          },
          "qosProfile": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "qosProfileType": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "snmpIndex": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "staticRoutes": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/manaV2StaticRoute"
            }
          },
          "wanInterfaceV2": {
            "$ref": "#/components/schemas/manaV2CircuitInterface"
          }
        },
        "additionalProperties": false
      },
      "manaV2BgpAggregation": {
        "type": "object",
        "properties": {
          "asSet": {
            "type": "boolean",
            "example": true
          },
          "id": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "prefix": {
            "type": "string",
            "example": "example string"
          },
          "summaryOnly": {
            "type": "boolean",
            "example": true
          }
        },
        "additionalProperties": false
      },
      "manaV2BgpMultipath": {
        "type": "object",
        "properties": {
          "enabled": {
            "type": "boolean",
            "example": true
          },
          "vrfId": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          }
        },
        "additionalProperties": false
      },
      "manaV2BgpNeighbor": {
        "type": "object",
        "properties": {
          "addressFamilies": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/manaV2BgpNeighborAddressFamily"
            }
          },
          "allowAsIn": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "asOverride": {
            "type": "boolean",
            "example": true
          },
          "bfd": {
            "$ref": "#/components/schemas/manaV2BfdInstance"
          },
          "bfdNeighbor": {
            "$ref": "#/components/schemas/manaV2BfdNeighbor"
          },
          "bgpType": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "defaultOriginate": {
            "type": "string",
            "example": "ENUM_VALUE",
            "description": "Set when default route needs to be advertised in BGP domain"
          },
          "dynamicNeighborPeers": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/manaV2BgpDynamicNeighborOperPeer"
            }
          },
          "enabled": {
            "type": "boolean",
            "example": true
          },
          "holdTimer": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "id": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "keepaliveTimer": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "localAddress": {
            "type": "string",
            "example": "example string"
          },
          "localInterface": {
            "type": "string",
            "example": "example string"
          },
          "maxPrefix": {
            "type": "integer",
            "format": "int32",
            "example": 10000,
            "minimum": 0,
            "description": "Maximum number of prefixes that can be received from neighbor"
          },
          "md5Password": {
            "type": "string",
            "example": "example string"
          },
          "multiHop": {
            "type": "integer",
            "format": "int32",
            "example": 5,
            "minimum": 0,
            "description": "Set when EBGP multi-hop functionality is enabled"
          },
          "peerAsn": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "remoteAddress": {
            "type": "string",
            "example": "example string"
          },
          "removePrivateAs": {
            "type": "boolean",
            "example": true
          },
          "sendCommunity": {
            "type": "boolean",
            "example": true,
            "description": "Flag for sending standard, extended, and large communities"
          },
          "state": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "timeSinceLastOperChange": {
            "$ref": "#/components/schemas/googleProtobufDuration"
          },
          "up": {
            "type": "boolean",
            "example": true
          }
        },
        "additionalProperties": false
      },
      "manaV2BgpRedistribute": {
        "type": "object",
        "properties": {
          "bgp": {
            "type": "boolean",
            "example": true
          },
          "connected": {
            "type": "boolean",
            "example": true
          },
          "dia": {
            "type": "boolean",
            "example": true
          },
          "ospfv2": {
            "type": "boolean",
            "example": true
          },
          "static": {
            "type": "boolean",
            "example": true
          }
        },
        "additionalProperties": false
      },
      "manaV2CircuitInterface": {
        "type": "object",
        "properties": {
          "adminStatus": {
            "type": "boolean",
            "example": true
          },
          "id": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "index": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "name": {
            "type": "string",
            "example": "example string"
          },
          "operStatus": {
            "type": "boolean",
            "example": true
          }
        },
        "additionalProperties": false
      },
      "manaV2QoSProfile": {
        "type": "object",
        "properties": {
          "kind": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "profile": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "queues": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/manaV2QoSProfileQueue"
            }
          }
        },
        "additionalProperties": false
      },
      "manaV2StaticRoute": {
        "type": "object",
        "properties": {
          "administrativeDistance": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "description": {
            "type": "string",
            "example": "example string"
          },
          "id": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "nextHop": {
            "$ref": "#/components/schemas/manaV2StaticRouteNexthop"
          },
          "nextHops": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/manaV2StaticRouteNexthop"
            }
          },
          "prefix": {
            "type": "string",
            "example": "example string"
          }
        },
        "additionalProperties": false
      },
      "manaV2BgpNeighborAddressFamily": {
        "type": "object",
        "properties": {
          "addressFamily": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "id": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "inboundPolicy": {
            "type": "string",
            "example": "example string"
          },
          "outboundPolicy": {
            "type": "string",
            "example": "example string"
          }
        },
        "additionalProperties": false
      },
      "manaV2BfdInstance": {
        "type": "object",
        "properties": {
          "enabled": {
            "type": "boolean",
            "example": true
          },
          "minimumInterval": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "multiplier": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          }
        },
        "additionalProperties": false
      },
      "manaV2BfdNeighbor": {
        "type": "object",
        "properties": {
          "desiredMinimumTxInterval": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "ifIndex": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "interface": {
            "type": "string",
            "example": "example string"
          },
          "lastUpdated": {
            "$ref": "#/components/schemas/googleProtobufTimestamp"
          },
          "localDiag": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "peerAddress": {
            "type": "string",
            "example": "example string"
          },
          "remoteDiag": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "requiredMinimumRxInterval": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "segmentName": {
            "type": "string",
            "example": "example string"
          },
          "sourceAddress": {
            "type": "string",
            "example": "example string"
          },
          "state": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "timeInState": {
            "$ref": "#/components/schemas/googleProtobufDuration"
          },
          "up": {
            "type": "boolean",
            "example": true
          }
        },
        "additionalProperties": false
      },
      "manaV2BgpDynamicNeighborOperPeer": {
        "type": "object",
        "properties": {
          "lastOperStatusChange": {
            "$ref": "#/components/schemas/googleProtobufTimestamp"
          },
          "localAddress": {
            "type": "string",
            "example": "example string",
            "description": "Local address used for this peer session, if known from oper"
          },
          "operStatus": {
            "type": "boolean",
            "example": true,
            "description": "True when the BGP session to this peer is operationally up (e.g. established)"
          },
          "peerAsn": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0,
            "description": "Peer ASN from oper, if reported"
          },
          "remoteAddress": {
            "type": "string",
            "example": "example string",
            "description": "Peer address from device oper state (IPv4/IPv6; may include IPv6 zone id)"
          },
          "state": {
            "type": "string",
            "example": "ENUM_VALUE",
            "description": "BGP FSM state for this peer session"
          }
        },
        "additionalProperties": false
      },
      "googleProtobufDuration": {
        "type": "object",
        "properties": {
          "nanos": {
            "type": "integer",
            "format": "int32",
            "example": 123
          },
          "seconds": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          }
        },
        "additionalProperties": false
      },
      "manaV2QoSProfileQueue": {
        "type": "object",
        "properties": {
          "bandwidthPercent": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "defaultQueue": {
            "type": "boolean",
            "example": true
          },
          "slaClass": {
            "type": "string",
            "example": "ENUM_VALUE"
          }
        },
        "additionalProperties": false
      },
      "manaV2StaticRouteNexthop": {
        "type": "object",
        "properties": {
          "circuit": {
            "type": "string",
            "example": "example string"
          },
          "id": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "metric": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "nextHopAddress": {
            "type": "string",
            "example": "example string"
          },
          "nexthop": {
            "type": "string",
            "example": "example string"
          },
          "outgoingInterface": {
            "type": "string",
            "example": "example string"
          },
          "thirdPartyIpsecTunnel": {
            "type": "string",
            "example": "example string"
          }
        },
        "additionalProperties": false
      },
      "googleProtobufTimestamp": {
        "type": "object",
        "properties": {
          "nanos": {
            "type": "integer",
            "format": "int32",
            "example": 123
          },
          "seconds": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          }
        },
        "additionalProperties": false
      }
    },
    "securitySchemes": {
      "jwtAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "authorization",
        "description": "Use `Bearer <token>`"
      }
    }
  }
}
````

